<?php
/**
 * HOAT functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package HOAT
 * @since HOAT 1.0
 */


if ( ! function_exists( 'hoat_support' ) ) :

	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * @since HOAT 1.0
	 *
	 * @return void
	 */
	function hoat_support() {

		// Enqueue editor styles.
		add_editor_style( 'style.css' );

		// Make theme available for translation.
		load_theme_textdomain( 'hoat' );
	}

endif;

add_action( 'after_setup_theme', 'hoat_support' );

if ( ! function_exists( 'hoat_styles' ) ) :

	/**
	 * Enqueue styles.
	 *
	 * @since HOAT 1.0
	 *
	 * @return void
	 */
	function hoat_styles() {

		// Register theme stylesheet.
		wp_register_style(
			'hoat-style',
			get_stylesheet_directory_uri() . '/style.css',
			array(),
			wp_get_theme()->get( 'Version' )
		);

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'hoat-style' );

	}

endif;

add_action( 'wp_enqueue_scripts', 'hoat_styles' );
